Bug 1130998 - [SNAPSHOT]: "man gluster" needs modification for few snapshot commands
Summary: [SNAPSHOT]: "man gluster" needs modification for few snapshot commands
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: snapshot
Version: rhgs-3.0
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: ---
: RHGS 3.1.0
Assignee: Mohammed Rafi KC
QA Contact: Rahul Hinduja
URL:
Whiteboard: SNAPSHOT
Depends On:
Blocks: 1202842 1205037 1223636 1232885
TreeView+ depends on / blocked
 
Reported: 2014-08-18 11:07 UTC by Rahul Hinduja
Modified: 2016-09-17 13:05 UTC (History)
10 users (show)

Fixed In Version: glusterfs-3.7.1-4
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1205037 (view as bug list)
Environment:
Last Closed: 2015-07-29 04:34:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1495 0 normal SHIPPED_LIVE Important: Red Hat Gluster Storage 3.1 update 2015-07-29 08:26:26 UTC

Description Rahul Hinduja 2014-08-18 11:07:55 UTC
Description of problem:
=======================

Following are the few things in the "man gluster" for snapshot needs to be changed/add.

1) Needs to add snapshot help under "snapshot commands tree"
-
+ snapshot help
        Display help for the snapshot command.

2) Needs to add following text for "snapshot info [snapname | (volume <volname>)]"
-
+ If snapname is specified then info of the  mentioned  snapshot is  displayed.  If volname is specified then info of all snap-shots belonging to that volume is displayed.  If  both  snapname and  volname  is  not specified then info of all the snapshots present in the system are displayed.

3) Need to add text for "snap-max-hard-limit" under "snapshot config"

4) Need to change the below text

- Upon reaching the hard-limit, further  snapshot  creations  will not be allowed.
+ Upon reaching the effective-hard-limit, further  snapshot  creations  will
not be allowed.



Version-Release number of selected component (if applicable):
=============================================================

glusterfs-3.6.0.27-1.el6rhs.x86_64


How reproducible:
=================
1/1


Steps to Reproduce:
===================
1. man gluster

Comment 3 Mohammed Rafi KC 2015-04-01 07:17:22 UTC
upstream patch : http://review.gluster.org/#/c/9976/

Comment 6 senaik 2015-06-12 06:43:44 UTC
Version : glusterfs-3.7.1-1.el6rhs.x86_64

Some changes are not updated in man gluster

--> snapshot config section: 
snap-max-hard-limit, snap-max-soft-limit and auto-delete are global options, that will be inherited by all volumes in the system and cannot be set to individual volumes .
Here snap-max-hard-limit should be removed as it can be set to individual volumes and to the system and a separate section on snap-max-hard-limit should be added as mentioned in the 'Description'

--> Also 4th point mentioned in Description is not updated 
4) Need to change the below text

- Upon reaching the hard-limit, further  snapshot  creations  will not be allowed.
+ Upon reaching the effective-hard-limit, further  snapshot  creations  will
not be allowed.


--> The system limit takes precedence over the volume specific limit --> This statement is not true in all cases. Which ever limit is the lowest takes priority.

Comment 9 senaik 2015-06-19 13:35:26 UTC
Version :glusterfs-3.7.1-4.el6rhs.x86_64 

Changes are updates in man gluster : 

snap-max-soft-limit and auto-delete are global options, that will be inherited by all volumes in the system and cannot be set to individual volumes.

When auto-delete feature is disabled, then upon reaching the "Effective snap-max-hard-limit", further  snapshot  creations  will  not  be allowed.

snap-max-hard-limit can be set globally, as well as per volume. The lowest limit between the global system limit and the volume  specific limit, becomes the "Effective snap-max-hard-limit" for a volume.

Marking the bug 'Verified'

Comment 11 errata-xmlrpc 2015-07-29 04:34:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1495.html


Note You need to log in before you can comment on or make changes to this bug.